:root {
    --grey0: #F9F9FA;
    --grey5: #F0F0F1;
    --grey10: #E1E1E3;
    --grey30: #B4B4BB;
    --grey60: #5A5B6A;
    --grey70: #4A4B57;
    --grey100: #19191D;
    --blue30: #9DC2FF;
    --blue60: #2979FF;
    --blue70: #2264D1;
    --green30: #A9D3AB;
    --green60: #43A047;
    --green70: #37833B;
    --red30: #FAA9A3;
    --red60: #F44336;
    --red70: #C8372D;
    --blueGrey30: #B4BBE2;
    --blueGrey60: #97A0D6;
    --primaryAccent: #8082ff;
    --primary30: #6b6fac;
    --primary60: #2243A3;
    --primary70: #13058d;
}

html, body {
    text-rendering: geometricPrecision;
}

.text-input.fake-hover, .text-input:hover {
    border: 1px solid  var(--primary60) !important;
}

.text-input {
    border: 1px solid  var(--blueGrey30) !important;
}

.text-input:visited {
    border: 1px solid  var(--primary60) !important;
}

.typography-link.fake-visited, .typography-link:visited {
    color: var(--primary70) !important;
}

.typography-link.fake-visited:hover, .typography-link:hover{
    color: var(--primary30) !important;
}

.input-button .button.fake-hover, .input-button .button:hover {
    background-color: var(--primary30) !important;
}
.input-button .button{
    background-color: var(--primary60) !important;
}

.fork-me {
    background-color: var(--primary60) !important;
}

body {
    min-height: 100vh;
    background: var(--grey5);
    display: flex;
    flex-direction: column;
}

main {
    flex: 1;
}

.app-container {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    max-width: 680px;
    margin: 0 auto;
    padding-top: 70px;
}

.auth.app-container {
    max-width: 335px;
    padding-top: 70px;
}

.welcome.app-container {
    max-width: 980px;
    padding-top: 70px;
    padding-left: 12px;
    padding-right: 12px;
}

.card {
    border: 1px solid var(--grey10);
    background: var(--grey0);
    margin-bottom: 18px;
    padding: 20px;
}

.card-title {
    text-align: center;
    color: var(--primary60);
}

.card-action {
    text-align: center;
}

.card-action a {
    font-size: 15px;
}

fieldset {
    border: none;
    padding: 0;
    margin: 0;
}

.text-input {
    box-sizing: border-box;
}

.messages .message {
    color: var(--grey70);
    font-size: 12px;
    text-align: left;
    border-radius: 0;
}

.messages.standalone .message {
    margin-bottom: 0;
}

.required-indicator {
    color: var(--primary60);
}

.checkbox {
    margin-bottom: 8px;
}

.checkbox-inner {
    margin-bottom: 6px;
}

.code-box {
    overflow-y: auto;
    max-height: 640px;
    overflow-wrap: break-word;
}

.code-body code {
    overflow-wrap: break-word;
}

.input-button a.button {
    display: block;
    box-sizing: border-box;
    text-decoration: none;
}

.input-button a.button[aria-disabled="true"],
.input-button a.button[aria-disabled="true"]:hover {
    color: #B4B4BB;
    background-color: #E1E1E3;
}

.recovery-code {
    margin-bottom: .5rem;
}

form img {
    margin: 0 auto;
    display: block;
}